Module | Tk::BWidget::DynamicHelp
In: | tk/lib/tkextlib/bwidget/dynamichelp.rb

### Methods

__cget_cmd __config_cmd __pathname add cget delete include sethelp

### Included Modules

Tk

### Public Class methods

__cget_cmd()

[Source]

    # File tk/lib/tkextlib/bwidget/dynamichelp.rb, line 29
      def self.__cget_cmd
        ['DynamicHelp::configure']
      end

__config_cmd()

[Source]

    # File tk/lib/tkextlib/bwidget/dynamichelp.rb, line 33
      def self.__config_cmd
        ['DynamicHelp::configure']
      end

__pathname()

[Source]

    # File tk/lib/tkextlib/bwidget/dynamichelp.rb, line 20
      def self.__pathname
        'DynamicHelp::configure'
      end

add(widget, keys={})

[Source]

    # File tk/lib/tkextlib/bwidget/dynamichelp.rb, line 41
      def self.add(widget, keys={})
        tk_call('DynamicHelp::add', widget, *hash_kv(keys))
      end

cget(slot)

[Source]

    # File tk/lib/tkextlib/bwidget/dynamichelp.rb, line 37
      def self.cget(slot)
        self.current_configinfo(slot).values[0]
      end

delete(widget)

[Source]

    # File tk/lib/tkextlib/bwidget/dynamichelp.rb, line 45
      def self.delete(widget)
        tk_call('DynamicHelp::delete', widget)
      end

include(klass, type)

[Source]

    # File tk/lib/tkextlib/bwidget/dynamichelp.rb, line 49
      def self.include(klass, type)
        tk_call('DynamicHelp::include', klass, type)
      end

sethelp(path, subpath, force=None)

[Source]

    # File tk/lib/tkextlib/bwidget/dynamichelp.rb, line 53
      def self.sethelp(path, subpath, force=None)
        tk_call('DynamicHelp::sethelp', path, subpath, force)
      end

[Validate]